#' An OTU table of genus level taxa counts from a MRSA study
#'
#' Data from a study to define the nasal microbiome of hospital inpatients who are persistently colonized with methicillin-resistant Staphylococcus aureus (MRSA) compared with matched, non-colonized controls. See original paper for matching proceedure.
#'
#' @format A 34x75 data.frame
#' \describe{
#'   \item{\code{OTU_Name}}{A character vector of class level OTU names}
#'   \item{\code{Lib names}}{The following columns are the sequencing counts for each library with library names}
#' }
#' @source \url{http://dx.doi.org/10.1016/j.jinf.2015.08.008}
"mrsa_gen"
